//
//  WS1ServiceContainer.h
//  WS1ServiceRegistry
//
//  Created by Edward Yu on 8/29/18.
//  Copyright © 2018 air-watch. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/**
 `WS1ServiceContainer` is a simple container object holding a reference to the service and its associated identifier
 */
@interface WS1ServiceContainer : NSObject

@property (readwrite, nonatomic) id service;
@property (readwrite, nonatomic) NSString *identifier;

/**
 Creates a WS1ServiceContainer holding a reference to `service` and the associating `identifier`

 @param service Reference to the service
 @param identifier The identifier associated with the service
 @return The created container
 */
+(instancetype)containerWithService:(id)service andIdentifier:(NSString *)identifier;

/**
 Creates a WS1ServiceContainer holding a reference to `service` and the associating `identifier`

 @param service Reference to the service
 @param identifier The identifier associated with the service
 @return The created container
 */
-(instancetype)initWithService:(id)service andIdentifier:(NSString *)identifier;

@end
NS_ASSUME_NONNULL_END
